Get
/api/v1/channels.list.joined
Lists all the channels the authenticated user has joined.
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the fields and query parameters. |
| 0.62.0 | Add query parameter support. |
| 0.49.0 | Count and offset query parameters supported. |
| 0.48.0 | Added |
Header parameters
X-Auth-Token
stringRequired
The authToken of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired
The userId of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Query parameters
offset
integer
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
Example50
Example50
sort
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the official documentation to learn more.
Responses
200
OK
Example
{
"channels": [
{
"_id": "ByehQjC44FwMeiLbX",
"name": "invite-me",
"t": "c",
"usernames": [
"testing1"
],
"msgs": 0,
"u": {
"_id": "aobEdbYhXfu5hkeqG",
"username": "testing1"
},
"ts": "2016-12-09T15:08:58.042Z",
"ro": false,
"sysMes": true,
"_updatedAt": "2016-12-09T15:22:40.656Z"
}
],
"success": true
}object
channels
Array of object
object
_id
string
fname
string
customFields
object
description
string
broadcast
boolean
encrypted
boolean
federated
boolean
name
string
t
string
msgs
integer
usersCount
integer
u
object
_id
string
username
string
ts
string
ro
boolean
default
boolean
sysMes
boolean
_updatedAt
string
lm
string
lastMessage
object
_id
string
t
string
msg
string
groupable
boolean
blocks
Array of object
object
type
string
blockId
string
callId
string
appId
string
ts
string
u
object
_id
string
username
string
name
string
rid
string
_updatedAt
string
urls
Array of object
object
mentions
Array of object
object
channels
Array of object
object
md
Array of object
object
type
string
value
Array of object
object
type
string
value
string
topic
string
muted
Array of object
object
unmuted
Array of string
string
offset
integer
count
integer
total
integer
success
boolean
401
Unauthorized
Authorization Error
{
"success": false,
"error": "You must be logged in to do this."
}object
success
boolean
error
string